This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 445324 - fence device with passwd_script fails to validate
fence device with passwd_script fails to validate
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-cluster (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Jim Parsons
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-06 04:25 EDT by David Juran
Modified: 2008-11-27 08:15 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-27 08:15:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
cluster.conf (368 bytes, application/xml)
2008-05-06 04:25 EDT, David Juran
no flags Details

  None (edit)
Description David Juran 2008-05-06 04:25:15 EDT
Description of problem:
If you have a fence device with the passwd_script instead of the passwd
parameter defined, system-config-cluster (and xmllint) will complain about
malformed XML.


Version-Release number of selected component (if applicable):
system-config-cluster-1.0.29-1.0


How reproducible:
Every time

Steps to reproduce:
1. xmllint --relaxng /usr/share/system-config-cluster/misc/cluster.ng
/tmp/cluster.conf

cluster.conf attached
  
Actual results:
/tmp/cluster.conf:6: element fencedevices: Relax-NG validity error : Element
cluster failed to validate content
/tmp/cluster.conf fails to validate

Expected results:
/tmp/cluster_passwd.conf validates

Additional info:
Similar problem exists on RHEL4 with system-config-cluster-1.0.51-2.0.el4_6.1
xmllint actually validates the configuration but if one opens it with
system-config-cluster, selects the fence device and click "edit fence device
properties" s-c-c throws the following traceback:

Traceback (most recent call last):
  File "/usr/share/system-config-cluster/ConfigTabController.py", line 1129, in
on_fd
    self.fence_handler.populate_fd_form(agent_type, attrs)
  File "/usr/share/system-config-cluster/FenceHandler.py", line 274, in
populate_fd_form
    apply(self.fd_populate[agent_type], attrs)
  File "/usr/share/system-config-cluster/FenceHandler.py", line 482, in pop_ilo_fd
    self.ilo_fd_passwd.set_text(attrs["passwd"])
KeyError: 'passwd'
Comment 1 David Juran 2008-05-06 04:25:15 EDT
Created attachment 304607 [details]
cluster.conf
Comment 2 Bug Zapper 2008-11-26 05:39:14 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 David Juran 2008-11-27 08:15:22 EST
Fixed in system-config-cluster-1.0.53-2 in Fedora 10

Note You need to log in before you can comment on or make changes to this bug.